Package xg.md

# Enum Class ProtocolMetadata.protocolEndpointAddress.AddressCase

java.lang.Object
java.lang.Enum<ProtocolMetadata.protocolEndpointAddress.AddressCase>
xg.md.ProtocolMetadata.protocolEndpointAddress.AddressCase

All Implemented Interfaces:
  `AbstractMessageLite.InternalOneOfEnum`, `Internal.EnumLite`, `Serializable`, `Comparable<ProtocolMetadata.protocolEndpointAddress.AddressCase>`, `Constable`

Enclosing class:
  ProtocolMetadata.protocolEndpointAddress

public static enum ProtocolMetadata.protocolEndpointAddress.AddressCase extends Enum<ProtocolMetadata.protocolEndpointAddress.AddressCase> implements Internal.EnumLite, AbstractMessageLite.InternalOneOfEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDRESS_NOT_SET`
`IPV4_ADDRESS`

## Method Summary

Modifier and Type
Method
Description
`static ProtocolMetadata.protocolEndpointAddress.AddressCase`
`forNumber(int value)`
`int`
`getNumber()`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.
`static ProtocolMetadata.protocolEndpointAddress.AddressCase`
`valueOf(int value)`
Deprecated.
`static ProtocolMetadata.protocolEndpointAddress.AddressCase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolMetadata.protocolEndpointAddress.AddressCase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IPV4_ADDRESS

public static final ProtocolMetadata.protocolEndpointAddress.AddressCase IPV4_ADDRESS

### ADDRESS_NOT_SET

public static final ProtocolMetadata.protocolEndpointAddress.AddressCase ADDRESS_NOT_SET

## Method Details

### values

public static ProtocolMetadata.protocolEndpointAddress.AddressCase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProtocolMetadata.protocolEndpointAddress.AddressCase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static ProtocolMetadata.protocolEndpointAddress.AddressCase valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ProtocolMetadata.protocolEndpointAddress.AddressCase forNumber(int value)

### getNumber

public int getNumber()
Description copied from interface: `AbstractMessageLite.InternalOneOfEnum`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.

Specified by:
  `getNumber` in interface `AbstractMessageLite.InternalOneOfEnum`
Specified by:
  `getNumber` in interface `Internal.EnumLite`